[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# SetTime

Set system time

## Declaration

Source position: dosh.inc line 98

`procedure SetTime(`
`hour: Word;`
`minute: Word;`
`second: Word;`
`sec100: Word`
`);`

## Description

SetTime sets the system's internal clock. The Hour parameter is on a 24-hour time scale.

Remark: | On a linux machine, there must be root privileges, otherwise this routine will do nothing. On other unix systems, this call currently does nothing.

## Errors

None.

## See also

GetTime |  | Return the current time
SetDate |  | Set system date

Documentation generated on: Feb 26 2014